"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var React = require("react");
var react_user_tour_1 = require("react-user-tour");
var helpers_1 = require("../commons/helpers");
require("./tour.scss");
var Tour = (function (_super) {
    __extends(Tour, _super);
    function Tour(p) {
        var _this = _super.call(this, p) || this;
        _this.state = {
            isTourActive: p.isTourActive ? p.isTourActive : false,
            tourStep: p.tourStep ? p.tourStep : 1
        };
        return _this;
    }
    Tour.prototype.render = function () {
        var _this = this;
        var p = this.props;
        return React.createElement(react_user_tour_1.default, { active: this.state.isTourActive, step: this.state.tourStep, onNext: function (step) { return _this.setState(helpers_1.merge(_this.state, { tourStep: step })); }, onBack: function (step) { return _this.setState(helpers_1.merge(_this.state, { tourStep: step })); }, onCancel: function () { return _this.setState(helpers_1.merge(_this.state, { isTourActive: false })); }, arrow: React.createElement("span", { className: "arrow-up" }), arrowSize: 25, closeButtonText: 'x', steps: p.steps });
    };
    return Tour;
}(React.Component));
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = Tour;
//# sourceMappingURL=tour.js.map